#
# spec file for package php5-APCu
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pkg_name apcu
Name:           php5-APCu
Version:        4.0.11
Release:        10.1
Summary:        APCu - APC User Cache
License:        PHP-3.01
Group:          Productivity/Networking/Web/Servers
Url:            http://pecl.php.net/package/APCu
Source:         http://pecl.php.net/get/%{pkg_name}-%{version}.tgz
Source1:        apcu.ini
Source2:        php5-APCu.changes
BuildRequires:  php5-devel >= 5.5
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      php5-APC
Conflicts:      php5-eaccelerator
Conflicts:      php5-xcache
Requires:       php(api) = %{php_core_api}
Requires:       php(zend-abi) = %{php_zend_api}
Provides:       php-APCu = %{version}
Obsoletes:      php-APCu < %{version}

%description
APCu is userland caching: APC stripped of opcode caching in preparation
for the deployment of Zend Optimizer+ as the primary solution to opcode
caching in future versions of PHP.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.

%prep
%setup -q -n %{pkg_name}-%{version}
# remove build time references so build-compare can do its work
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{SOURCE2} '+%%H:%%M')
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{SOURCE2} '+%%b %%e %%Y')
sed -e "s/__TIME__/\"$FAKE_BUILDTIME\"/g" -i php_apc.c
sed -e "s/__DATE__/\"$FAKE_BUILDDATE\"/g" -i php_apc.c

%build
CFLAGS="%{optflags}"
CXXFLAGS="%{optflags}"
export CFLAGS
export CXXFLAGS
%{_bindir}/phpize
%configure --enable-apcu
make %{?_smp_mflags}

%check
make %{?_smp_mflags} test PHP_EXECUTABLE=%{_bindir}/php NO_INTERACTION=1

%install
make install INSTALL_ROOT=%{buildroot}
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini
%doc LICENSE NOTICE README.md TECHNOTES.txt TODO apc.php

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/php5/ext/%{pkg_name}
%{_includedir}/php5/ext/%{pkg_name}/*

%changelog
* Thu May 19 2016 pgajdos@suse.com
- updated to 4.0.11
  * fix #176 segfault when apc.preload_path contains bad data
* Fri Jan 29 2016 pgajdos@suse.com
- provides php-APCu symbol
* Tue Jan 12 2016 pgajdos@suse.com
- call spec-cleaner
* Fri Jul 25 2014 crrodriguez@opensuse.org
- version 4.0.6
* Wed Nov 27 2013 michele.catalano@mayflower.de
- Initial.
